# Pumpkin Pie
Originally from [Joshua Weissman's _How To Turn A Whole Pumpkin Into The Best Pumpkin pie_ video][joshua-weissman-pumpkin-pie] with a few modifications from [Cupcake Jemma][cupcake-jemma-pumpkin-pie]. I really recommend you watch a few videos to get familiar with the technique and the process first!

## Pie Crust

### Ingredients

- 302g plain white flour
- 1 tbsp granulated sugar
- 1 tsp fine sea salt
- 113g cold unsalted butter, cubed (or use half shortening, hat tip [Queenslee Appétit][queenslee-appetit])
- Small cup of ice cold water 

### Method

Pre-heat the oven to 205°C and prepare the pie crust dough:

1. Sift the dry ingredients together into a bowl.
1. Add in the cubed butter/shortening and slowly integrate with a fork until butter/shortening are pea-sized balls.
1. Add a few tablespoons of water and start mixing, adding more as needed until flour is absorbed. The butter/shortening should not be entirely integrated—it should be in moist little spots throughout the dough.
1. Lightly flour a large, flat surface and roll the dough out to about 1 inch larger than the pie tin. The dough should be about ¼ thick.
1. Transfer the dough to the tin by folding in half, then folding in half again, and placing the triangle in the center of the tin and unfolding. Fold and crimp the rim.
1. After placing the dough in the tin and crimping, place it in the fridge for a few minutes to firm it up (will help prevent shrinkage).
1. Poke a few small holes in the crust bottom and sides with a fork.
1. Weight down the pie crust with baking paper and beans/rice/pie weights, and then "blind bake" at 205°C for 15 minutes.
1. Take out the weights and put the pie crust back in for 10 minutes. The crust should start drying out, but not be browning yet.

Allow the pie crust to cool to around room temperature before adding the filling.

## Pumpkin Custard Filling

### Ingredients

- 425g roasted pumpkin flesh[^1]
- 1 397ml can of sweetened condensed milk
- 2 eggs
- ½ tsp sea salt
- 1 tsp ground ginger
- 1½ tsp ground cinnamon
- ¼ tsp ground nutmeg
- ½ tsp vanilla extract
- Pinch of corn starch (optional)

### Method

1. Pre-heat oven to 205°C.
1. Slice the pumpkin into quarters and remove the seeds. Lightly drizzle slices with oil, place face-down on a foil-lined baking sheet, and bake for 40 minutes or until the _skin_ is smooshy.
1. Separate and purée the pumpkin flesh in a food processor or with an immersion blender.
1. Whisk in the sweetened condensed milk followed by the eggs and vanilla extract.
1. Whisk in the dry spices and corn starch.
1. Pour the custard into room temperature pie crust, lightly tapping the tin on the counter to get rid of air bubbles and make the custard more uniform (or blow — carefully — with a hair drier!).

## Bake the Pie

1. Pre-heat oven to 162°C (325°F).
1. Bake for 1 hour or until a toothpick inserted in the custard comes out clean.


[^1]: roughly the amount in a 15oz can of pumpkin purée.

[joshua-weissman-pumpkin-pie]: https://www.youtube.com/watch?v=jXGQphItWxQ
[cupcake-jemma-pumpkin-pie]: https://www.youtube.com/watch?v=-4f3G1lwhVw
[queenslee-appetit]: https://www.queensleeappetit.com/perfect-pie-crust-without-food-processor/
